io.vertx.redis.op

## Class BitFieldOptions

- java.lang.Object
- - io.vertx.redis.op.BitFieldOptions

- Deprecated.
  Use `Redis`

      @Deprecated
      public class BitFieldOptions
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BitFieldOptions()` Deprecated.
    `BitFieldOptions(BitFieldOptions obj)` Deprecated.
    `BitFieldOptions(JsonObject obj)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `BitFieldGetCommand` | `getGet()` Deprecated.
    `BitFieldIncrbyCommand` | `getIncrby()` Deprecated.
    `BitFieldSetCommand` | `getSet()` Deprecated.
    `void` | `setGet(BitFieldGetCommand get)` Deprecated.
    `void` | `setIncrby(BitFieldIncrbyCommand incrby)` Deprecated.
    `void` | `setSet(BitFieldSetCommand set)` Deprecated.
    `JsonObject` | `toJson()` Deprecated.
    `JsonArray` | `toJsonArray()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BitFieldOptions

          public BitFieldOptions()

      Deprecated.

    - #### BitFieldOptions

          public BitFieldOptions(BitFieldOptions obj)

      Deprecated.

    - #### BitFieldOptions

          public BitFieldOptions(JsonObject obj)

      Deprecated.

  - ### Method Detail

    - #### getGet

          public BitFieldGetCommand getGet()

      Deprecated.

    - #### setGet

          public void setGet(BitFieldGetCommand get)

      Deprecated.

    - #### getSet

          public BitFieldSetCommand getSet()

      Deprecated.

    - #### setSet

          public void setSet(BitFieldSetCommand set)

      Deprecated.

    - #### getIncrby

          public BitFieldIncrbyCommand getIncrby()

      Deprecated.

    - #### setIncrby

          public void setIncrby(BitFieldIncrbyCommand incrby)

      Deprecated.

    - #### toJson

          public JsonObject toJson()

      Deprecated.

    - #### toJsonArray

          public JsonArray toJsonArray()

      Deprecated.

Copyright © 2021 Eclipse. All rights reserved.